Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.setuid
Class Group

    java.lang.Object
      org.mortbay.setuid.Group

    public class Group

extends java.lang.Object

Class is the equivalent java class used for holding values from native c code structure group. for more information please see man pages for getgrnam and getgrgid struct group { char *gr_name; // group name char *gr_passwd; // group password gid_t gr_gid; // group ID char **gr_mem; // group members };

Author:
  Leopoldo Lee Agdeppa III

Constructor Summary
`Group()`

Method Summary
`int` | `getGrGid()`
`java.lang.String[]` | `getGrMem()`
`java.lang.String` | `getGrName()`
`java.lang.String` | `getGrPasswd()`
`void` | `setGrGid(int grGid)`
`void` | `setGrMem(java.lang.String[] grMem)`
`void` | `setGrName(java.lang.String grName)`
`void` | `setGrPasswd(java.lang.String grPasswd)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Group

    public Group()

Method Detail

### getGrName

    public java.lang.String getGrName()

### setGrName

    public void setGrName(java.lang.String grName)

### getGrPasswd

    public java.lang.String getGrPasswd()

### setGrPasswd

    public void setGrPasswd(java.lang.String grPasswd)

### getGrGid

    public int getGrGid()

### setGrGid

    public void setGrGid(int grGid)

### getGrMem

    public java.lang.String[] getGrMem()

### setGrMem

    public void setGrMem(java.lang.String[] grMem)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.